This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 441434 - chainsaw and logfactor5 appearing in Programming when when eclipse installed
chainsaw and logfactor5 appearing in Programming when when eclipse installed
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: log4j (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-04-07 23:04 EDT by Jens Petersen
Modified: 2013-08-22 14:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 13:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-04-07 23:04:21 EDT
Description of problem:
If one installs Eclipse it pulls in log4j as a dependency and one ends
up with chainsaw and logfactor5 in the programming menu.
I am not sure how many eclipse users needs the log4j programs.
I have never used them before and testing now chainsaw hangs during
exit and logfactor5 just gives an exception when started.

How reproducible:
every time

Additional info:
Could we perhaps either:
1) move the programs to a subpackage if they are little used
2) drop the .desktop files since the programs don't seem to work very well?
Comment 1 Bug Zapper 2008-05-14 05:07:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jens Petersen 2008-11-17 22:08:30 EST
Still happening for F10.
Comment 3 Bug Zapper 2008-11-25 21:12:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-11-26 14:13:27 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 5 Matěj Cepl 2008-11-28 12:22:04 EST
Still reproducable with Fedora 10 -- logfactor and chainsaw start (and it is then killed by SELinux, but that's another matter), but I don't think most users of eclipse need it.

Switching to ASSIGNED so that developers have responsibility to do whatever
they want to do with it.
Comment 6 Deepak Bhole 2009-04-14 09:52:19 EDT
What error does selinux give when it kill those applications? I just tried it on an F10 box with selinux enforcing and it worked fine.

As for splitting in cases like this -- that is usually done to save space/keep update size minimal. It would not save any significant space in this case because the classes for logfactor5 and chainsaw are in the log4j rpm; as created by upstream. So the only space that would save is the .desktop files and icons which isn't really worth it..
Comment 7 Jens Petersen 2009-04-14 19:40:56 EDT
(In reply to comment #6)
> As for splitting in cases like this -- that is usually done to save space/keep
> update size minimal. It would not save any significant space in this case
> because the classes for logfactor5 and chainsaw are in the log4j rpm; as
> created by upstream. So the only space that would save is the .desktop files
> and icons which isn't really worth it..  

If you won't subpackage then please drop the .desktop files -
those programs should not appear in the desktop menu on a default install.
Comment 8 Deepak Bhole 2009-04-15 02:17:14 EDT
Why should they be removed? Sorry, I'm not trying to be difficult. Just wondering if this is violating some Fedora policy.. I don't see why we should disable things from appearing in the menu when they are installed.

java-openjdk-1.6.0-devel needs netbeans (temporarily disabled due to netbeans build issues) because parts of it are used by visual vm, and when we install it, we install netbeans in the menu as it should be. Why is this case any different?
Comment 9 Jens Petersen 2009-04-15 19:51:42 EDT
(In reply to comment #8)
> Why should they be removed? Sorry, I'm not trying to be difficult. Just
> wondering if this is violating some Fedora policy.. I don't see why we should
> disable things from appearing in the menu when they are installed.
> 
> java-openjdk-1.6.0-devel needs netbeans (temporarily disabled due to netbeans
> build issues) because parts of it are used by visual vm, and when we install
> it, we install netbeans in the menu as it should be. Why is this case any
> different?  

It should be modularised IMHO.

Isn't log4j mostly a Java library?  When I try to remove it mostly other Java libs complain:
ant-apache-log4j, axis, mx4j, mysql-connector-java.

I suggest having log4j (for the libs) and log4j-progs which most people do not need.

Similarly for netbeans - why should java-openjdk-1.6.0-devel pull in the whole netbeans IDE?
The bits it needs should be in a library package.
Comment 10 Andrew Overholt 2009-04-16 08:45:55 EDT
I don't believe all of netbeans is installed by the OpenJDK dependency.  Lillian?
Comment 11 Lillian Angel 2009-04-16 09:36:48 EDT
it is in rawhide (f11) now that visualvm has been added back in
Comment 12 Andrew Overholt 2009-04-16 12:00:53 EDT
(In reply to comment #11)
> it is in rawhide (f11) now that visualvm has been added back in

*All* of netbeans is required?  Or just the platform?
Comment 13 Lillian Angel 2009-04-16 13:15:37 EDT
# visualvm build requirements.
BuildRequires: netbeans
BuildRequires: jakarta-commons-logging
Comment 14 Deepak Bhole 2009-04-21 15:54:38 EDT
(In reply to comment #7)
> those programs should not appear in the desktop menu on a default install.  

Why not?
Comment 15 Bug Zapper 2009-06-09 05:32:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-04-27 07:59:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Deepak Bhole 2010-06-21 13:01:56 EDT
Closing. Please feel free to re-open with reply for Comment #14.

Note You need to log in before you can comment on or make changes to this bug.